Downloads

Akeeba Backup for Joomla!

Akeeba Backup for Joomla!

version 6.4.1 Stable

Released on: Monday, 11 March 2019 19:00

Release Notes

What's new

Protection of all component and plugin folders against direct web access. This is ABSOLUTELY NOT a security-related change. While it's a common misconception, being able to see non-executable, static files is not a security issue. It might allow someone to figure out which version of Joomla and its extensions you are using but hackers don't actually rely on this information. Therefore this change is just made to ease the mind of people unduly worrying about an irrelevant non-issue, detracting them from the real security concerns (i.e. is their software up-to-date). That's why we made the change: to have people stop worrying about useless non-issues and help them focus on the actual issues which can have a security impact on their sites.

Bug fixes. This release has been focused on bug fixes. Please read the CHANGELOG for more information.

Joomla! compatibility

We only officially support the latest stable branch of Joomla!. At the time of this writing it is Joomla! 3.9.

Our software should still run on Joomla! 3.8. This version is not actively supported by us or the Joomla! project anymore. We strongly advise you to run the latest available version of Joomla! for security reasons. Older versions of Joomla! have known major security issues which are being actively exploited to hack sites.

PHP versions supported

We only officially support using our software with PHP 5.6, 7.1, 7.2 or 7.3. We strongly advise you to run the latest available version of PHP on a branch currently maintained by the PHP project for security and performance reasons. Older versions of PHP have known major security issues which are being actively exploited to hack sites and they have stopped receiving security updates, leaving you exposed to these issues. Moreover, they are slower, therefore consuming more server resources to perform the same tasks.

Kindly note that our policy is to officially support only the PHP versions which are not yet End Of Life per the official PHP project with a voluntarily extension of support for 6 to 9 months after they become End of Life. After that time we stop providing any support for these obsolete versions of PHP without any further notice.

Changelog

Bug fixes

  • [HIGH] Upload to Azure: incompatible with HTTP/2

New features

  • Added BackupID in the failed backups email notifications
  • Allow Site Transfer Wizard to ignore free disk space requirements
  • Support for PDO PostgreSQL database driver (this code was submitted by a third party developer)

Miscellaneous changes

  • Joomla! 4 alpha 7 compatibility

Our Core versions are provided free of charge,
but they only scratch the surface of what's possible.

Subscribe today to get access to the exclusive features and enhanced support of our Professional releases!

Subscribe and get full access!

Already a subscriber? Log in.

Cookies Notification - Action required

This website uses cookies to provide user authentication and improve your user experience. Please indicate whether you consent to our site placing these cookies on your device. You can change your preference later, from the controls which will be made available to you at the bottom of every page of our site.